/*
 * open.c
 */


#include<sys/types.h>
#include<callgate.h>

#include<errno.h>
#include<stdarg.h>
#include<stdio.h>
#include<sys/stat.h>
#include<fcntl.h>


extern int _open(const char *path,int oflag,int);


int open(const char *path,int oflag,...)
{
	int fd;
	va_list ap;


	if(*path=='\0')return _error(ENOENT);
	va_start(ap,oflag);
	fd=_open(path,oflag,va_arg(ap,int)&~openMask);
	va_end(ap);

	return fd;
}
